Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1111083 (CVE-2014-0247) - CVE-2014-0247 libreoffice: VBA macros executed unconditionally
Summary: CVE-2014-0247 libreoffice: VBA macros executed unconditionally
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0247
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1112450 1164736
Blocks: 1111085 1121513
TreeView+ depends on / blocked
 
Reported: 2014-06-19 08:24 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that LibreOffice documents executed macros unconditionally, without user approval, when these documents were opened using LibreOffice. An attacker could use this flaw to execute arbitrary code as the user running LibreOffice by embedding malicious VBA scripts in the document as macros.
Clone Of:
Environment:
Last Closed: 2015-03-06 10:29:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0377 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-03-05 13:48:57 UTC

Description Huzaifa S. Sidhpurwala 2014-06-19 08:24:52 UTC
It was found that LibreOffice documents executed macros unconditionally, without user approval, when these documents were opened using LibreOffice. A attacker could use this flaw to execute arbitray code as the user running LibreOffice, by embedding malicious VBA scripts in the document as macros.

The following commit fixes this issue:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b0402f87c9b17fef2141130bfaa1798ece6ba0d

Comment 1 Murray McAllister 2014-06-24 02:06:42 UTC
This issue is public now.

Comment 2 Murray McAllister 2014-06-24 02:07:50 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-all [bug 1112450]

Comment 3 Huzaifa S. Sidhpurwala 2014-06-30 08:57:31 UTC
Statement:

(none)

Comment 4 Fedora Update System 2014-07-03 04:07:40 UTC
libreoffice-4.1.6.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Kurt Seifried 2014-07-11 00:13:01 UTC
LibreOffice has released an advisory regarding this issue:

http://www.libreoffice.org/about-us/security/advisories/cve-2014-0247/

Title: CVE-2014-0247

Announced: July  10, 2014

Fixed in: LibreOffice 4.2.5

Description:

It was discovered during routine code review that LibreOffice >= 4.1.4/4.2.0 unconditionally executed certain VBA macros on loading Microsoft Office documents, contrary to user expectations.

Users are recommended to upgrade to 4.2.5.

Thanks to Stephen Bergmann of Red Hat, Inc. for discovering this flaw.

Comment 7 errata-xmlrpc 2015-03-05 08:50:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0377 https://rhn.redhat.com/errata/RHSA-2015-0377.html


Note You need to log in before you can comment on or make changes to this bug.